#ifndef BASEGOSTTABLE_H
#define BASEGOSTTABLE_H

#include <QWidget>
#include <QVBoxLayout>
#include <QLabel>
#include <QTableWidget>
#include <QHeaderView>
#include <QScrollArea>
#include <QScrollBar>
#include <QTableWidget>
#include <QGroupBox>
#include <QPushButton>
#include <QTableView>
class BaseGostTable : public QWidget
{
    Q_OBJECT
public:
    explicit BaseGostTable(QWidget *parent = nullptr);
private:
    void setUp();
    void setWidgets();
    void setUpLayout();
    void setUpConnections();

    void setLabel();

    QPushButton* m_openColumnSettingsButton;
    QPushButton* m_openProjectTitelButton;

    QPushButton* m_resetTableButton;
    QPushButton* m_generateTableButton;

    QTableView* m_tableView;

signals:
};

#endif // BASEGOSTTABLE_H
